%global mod_name matrix-project-plugin
%global short_name matrix-project
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-%{mod_name}
Version:        1.6
Release:        2%{?dist}
Summary:        Jenkins Matrix Project Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/matrix-project-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:junit)
BuildRequires:  mvn(org.jenkins-ci.plugins:script-security)
Requires:       jenkins-webapp

BuildArch:      noarch

%description
This package provides Jenkins plugin which adds support for
Multi-configuration (matrix) project type.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

# TODO: this should be pulled in from somewhere else
%pom_add_dep org.jenkins-ci.plugins:junit:1.1

%build
# tests have special needs:
# "package hudson.tasks.junit does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f -- -DdisabledTestDepPluginsResolution=true -Dmaven-hpi-plugin.disabledTestInjection=true

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 30 2015 Michal Srb <msrb@redhat.com> - 1.6-1
- Update to upstream version 1.6

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 14 2015 Michal Srb <msrb@redhat.com> - 1.5-1
- Update to upstream version 1.5

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.4.1-2
- Migrate to .hpi with symlinks

* Tue Mar 31 2015 Michal Srb <msrb@redhat.com> - 1.4.1-1
- Update to upstream version 1.4.1

* Fri Nov 21 2014 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Wed Nov 19 2014 Michal Srb <msrb@redhat.com> - 1.3-2
- Rebuild to fix plugin dependencies

* Thu Oct 09 2014 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial packaging

